Package org.apache.avro

# Class SchemaBuilder.RecordDefault<R>

java.lang.Object
org.apache.avro.SchemaBuilder.FieldDefault<R,SchemaBuilder.RecordDefault<R>>
org.apache.avro.SchemaBuilder.RecordDefault<R>

Enclosing class:
  `SchemaBuilder`

public static class SchemaBuilder.RecordDefault<R> extends SchemaBuilder.FieldDefault<R,SchemaBuilder.RecordDefault<R>>
Choose whether to use a default value for the field or not.

## Method Summary

Modifier and Type
Method
Description
`final SchemaBuilder.FieldAssembler<R>`
`recordDefault(GenericRecord defaultVal)`
Completes this field with the default value provided, cannot be null

### Methods inherited from class org.apache.avro.SchemaBuilder.FieldDefault

`noDefault`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### recordDefault

public final SchemaBuilder.FieldAssembler<R> recordDefault(GenericRecord defaultVal)
Completes this field with the default value provided, cannot be null